Graphics3D 800,600,32,2
SetBuffer BackBuffer()

cam = CreateCamera()
PositionEntity cam,0,0,-100

cu = LoadAnimMesh("cu.b3d")
tex = LoadTexture("tex.jpg")

bone = FindChild(cu, "Bone02")

animentitycolor(cu,200,0,0)
animentitytexture(cu,tex)

Repeat
	TurnEntity cu,0,0.3,0
	RotateEntity bone,0,0, Sin(MilliSecs()/10.0)*45
	
	RenderWorld()
	Flip
Until KeyHit(1)
End

Function animentitycolor(ent,r,g,b)
	If EntityClass(ent) = "Mesh" Then
		EntityColor ent,r,g,b
	End If
	For i=1 To CountChildren(ent)
		animentitycolor(GetChild(ent,i),r,g,b)
	Next
End Function

Function animentitytexture(ent,tex)
	If EntityClass(ent) = "Mesh" Then
		EntityTexture ent,tex
	End If
	For i=1 To CountChildren(ent)
		animentitytexture(GetChild(ent,i),tex)
	Next
End Function